> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a company user by ID



## OpenAPI

````yaml /schemas/index.yaml get /company/{id}/users/{id_user}
openapi: 3.1.0
info:
  title: Kinsta API
  version: 1.114.0
  description: pages/introduction.md
  termsOfService: https://kinsta.com/legal/terms-service/
  x-logo:
    url: https://kinsta-api-resources.s3.amazonaws.com/kinsta-api-logo-light.svg
    href: /
  x-meta:
    title: Kinsta API - Kinsta® Docs
    description: >-
      Kinsta's REST API provides a streamlined and efficient way to work with
      our platform, allowing you to efficiently retrieve data, perform actions,
      and automate tasks.
servers:
  - url: https://api.kinsta.com/v2
security: []
tags:
  - name: Company Users
    description: pages/company-users/description.md
  - name: Domains
    description: pages/domains/description.md
  - name: Available Regions
    description: pages/available-regions/description.md
  - name: API Keys
    description: pages/api-keys/description.md
  - name: Activity Logs
    description: pages/activity-logs/description.md
  - name: WordPress Sites
    description: pages/wordpress-sites/description.md
  - name: WordPress Site Environments
    description: pages/wordpress-site-environments/description.md
  - name: WordPress Site Tools
    description: pages/wordpress-site-tools/description.md
  - name: WordPress Site Themes & Plugins
    description: pages/wordpress-site-themes-plugins/description.md
  - name: WordPress Site Domains
    description: pages/wordpress-site-domains/description.md
  - name: WordPress Edge Caching
    description: pages/wordpress-edge-caching/description.md
  - name: WordPress CDN
    description: pages/wordpress-cdn/description.md
  - name: Backups
    description: pages/backups/description.md
  - name: Logs
    description: pages/logs/description.md
  - name: Additional SFTP Users
    description: pages/additional-sftp-users/description.md
  - name: Analytics
    description: pages/analytics/description.md
  - name: Operations
    description: pages/operations/description.md
  - name: Authentication
    description: pages/authentication/description.md
paths:
  /company/{id}/users/{id_user}:
    get:
      tags:
        - Company Users
      summary: Get a company user by ID
      operationId: getCompanyUserById
      parameters:
        - schema:
            type: string
            example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
          required: true
          name: id
          in: path
        - schema:
            type: string
            example: 9c1e4d2a-1b3c-4f5a-8d6e-7f8a9b0c1d2e
          required: true
          name: id_user
          in: path
      responses:
        '200':
          description: The requested company user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyUserByIdResponseSchema'
        '401':
          description: No or invalid API key provided to the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema401'
        '404':
          description: >-
            Could not find the company or the user does not have permissions to
            retrieve data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema404'
        '500':
          description: Error occurred while retrieving the company user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema500'
      security:
        - bearerAuth: []
components:
  schemas:
    CompanyUserByIdResponseSchema:
      type: object
      properties:
        company:
          type: object
          properties:
            user_by_id:
              type: object
              properties:
                user:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      example: 9c1e4d2a-1b3c-4f5a-8d6e-7f8a9b0c1d2e
                    email:
                      type: string
                      format: email
                      example: example@example.com
                    full_name:
                      type: string
                      example: John Doe
                    type_2fa:
                      type:
                        - string
                        - 'null'
                      example: email
                  required:
                    - id
                    - email
                    - full_name
                    - type_2fa
                capabilities:
                  type: array
                  items:
                    type: object
                    properties:
                      role:
                        type: string
                        example: company-developer
                      id_company:
                        type:
                          - string
                          - 'null'
                        example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
                      id_site:
                        type:
                          - string
                          - 'null'
                        example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
                    required:
                      - role
                      - id_company
                      - id_site
              required:
                - user
                - capabilities
          required:
            - user_by_id
      required:
        - company
    StatusResponseSchema401:
      type: object
      properties:
        message:
          type: string
          example: No or invalid API key provided to the request
        status:
          type: number
          example: 401
        data: {}
      required:
        - message
        - status
    StatusResponseSchema404:
      type: object
      properties:
        message:
          type: string
          example: >-
            Could not find data or the user does not have permissions to
            retrieve it
        status:
          type: number
          example: 404
        data: {}
      required:
        - message
        - status
    StatusResponseSchema500:
      type: object
      properties:
        message:
          type: string
          example: Error occurred while processing your request
        status:
          type: number
          example: 500
        data: {}
      required:
        - message
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.